Portfolio completion progress page

Bug #1857933 reported by Kristina Hoeppner on 2019-12-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Cecilia Vela Gurovic

Bug Description

When a portfolio is created for assessment purposes and uses sign-off and verification, it can receive a portfolio completion progress overview page.

The first page of a portfolio contains a progress completion bar to indicate to the portfolio authors as well as others viewing the portfolio the status of completeness. The progress completion does not stop a user from submitting their portfolio for assessment. A collection can have the completion progress page when it is turned on in the collection settings (like SmartEvidence). The progress completion is activated in the institution settings, and then all collections can have the progress completion page.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/10746

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/10751

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/10760

Changed in mahara:
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10760
Committed: https://git.mahara.org/mahara/mahara/commit/e9826ba15d56f75d0371fbb9ed15ae0e72d4ffec
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e9826ba15d56f75d0371fbb9ed15ae0e72d4ffec
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Feb 17 15:00:39 2020 +1300

Bug 1857933: export/import collection with progress completion

- when importing Leap2A, sign off and verification data will be reset
- html export will add a progress completion page as a first page of a collection
No sign off data will be reset

behatnotneeded

Change-Id: I19df9b776dc7fb2fdea238340c22fdd4963a66b5

Reviewed: https://reviews.mahara.org/10751
Committed: https://git.mahara.org/mahara/mahara/commit/08ab15528d4971949c6c8380af22712bb2ec3a74
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 08ab15528d4971949c6c8380af22712bb2ec3a74
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Feb 5 16:29:14 2020 +1300

Bug 1857933: adding table to the progress completion page

- show a table with a row per view in the collection
- show 2 columns for each role that can change the
signoff block: owner and manager
- allow the owner to sign off a block by clicking the
cell defined by the view of the block and the owners
column
- allow a manager accessing the collection to verify
a block defined by the view row and the manager column
- show captions over the icons to indicate the status
of the block
- help file for the progress completion header in file
htdocs/lang/en.utf8/help/pages/collection/progress.html
- progress completion bar will show the percentage of
possible actions to do on the views of
the collection: sign-off + verification

behatnotneeded

Change-Id: I5592f780203037b79c0b6410998ca291096b1964

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10741
Committed: https://git.mahara.org/mahara/mahara/commit/650544a734dadf9927feb271d69152fc1155018e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 650544a734dadf9927feb271d69152fc1155018e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Fri Jan 31 13:05:48 2020 +1300

Bug 1857933: Portfolio completion progress page for collections

- Added a progress completion switch to institution settings
- Added a progress completion switch to collection settings
and upgraded DB to add the value also to the collection table
- Don't display switch in institution or collection if
'signoff' blocktype is disabled

behatnotneeded
Change-Id: Ic54f667324ba173e05eb0f4eb7fedde23f83c02d

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/10746
Committed: https://git.mahara.org/mahara/mahara/commit/b98b2814c407704f747040604a844b86adf27de2
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b98b2814c407704f747040604a844b86adf27de2
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Feb 3 15:30:48 2020 +1300

Bug 1857933: creating the progress completion page

- added progress completion page for collections
when the setting is enabled in collection Edit
- fixed the navigation for collection to include the
progress completion page
- added progress bar on progress completion page
to show the percentage of pages that have been signed off
- Navigation block: it shows a link to the progress completion
page if it's enabled in the collection
- views and collection screen: display link to progress
completion page in card footer for a collection that has it
enabled
- if the signoff blocktype is not enabled then the switch in
institution and collection settings will not be displayed,
and the portfolio completion page will not be displayed as
the first one of the collection

behatnotneeded

Change-Id: Ia836328eb586e9dbbe18d5e682186cfc16830861

Robert Lyon (robertl-9) on 2020-06-03
Changed in mahara:
milestone: none → 20.10.0
status: Confirmed → Fix Committed
tags: added: newfeature
Robert Lyon (robertl-9) on 2020-10-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers